<?php

// 圈子创建第一步
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_circle_new1.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$title = ParamUtil::getRequestString("title");//圈子名称
$needCheck = ParamUtil::getRequestBoolean("needCheck", false);//圈子名称
$longitude = ParamUtil::getRequestString("longitude");//用户位置的经度
$latitude = ParamUtil::getRequestString("latitude");//用户位置的纬度

$province = ParamUtil::getRequestString("province");
$city = ParamUtil::getRequestString("city");
$district = ParamUtil::getRequestString("district");

$result = array();

//参数检查
if(empty($unionId) || empty($title) || empty($longitude) || empty($latitude)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}


//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//是否已经有圈子
$param = array();
$param['owner_id'] = $userMst->id;
$param['delete_flg'] = false;
$circleCount = CircleDat::getListCount($param);
if($circleCount > 0 && !DEBUG_MODE) {
	$result["message"] = "只能创建一个圈子！";
	responseNG($result);
}

if(DEBUG_MODE) {
	$param = array();
	$param['owner_id'] = $userMst->id;
	$param['delete_flg'] = false;
	$circleList = CircleDat::getList($param, "id", "desc", 0, 1);
	if(!empty($circleList)) {
		$circleDat = $circleList[0];
		//返回数据
		$result["message"] = "重复建圈子！";
		$result["circleDat"] = $circleDat;
		responseOK($result);
	}

}

//建立圈子
$circleDat = new CircleDat();
$circleDat->title = $title;
$circleDat->need_check = $needCheck;
$circleDat->member_count = 1;
$circleDat->longitude = $longitude;
$circleDat->latitude = $latitude;
$circleDat->province = $province;
$circleDat->city = $city;
$circleDat->district = $district;
$circleDat->owner_id = $userMst->id;
$circleDat->save();

//返回创建的圈子
$param = array();
$param['owner_id'] = $userMst->id;
$param['delete_flg'] = false;
$circleList = CircleDat::getList($param, "id", "desc", 0, 1);
if(!empty($circleList)) {
	$circleDat = $circleList[0];
	//同步插入圈子成员表
	$circleMemberDat = new CircleMemberDat();
	$circleMemberDat->circle_id = $circleDat->id;
	$circleMemberDat->user_id = $userMst->id;
	$circleMemberDat->name = $userMst->name;
	$circleMemberDat->header_img = $userMst->header_img;
	$circleMemberDat->is_owner = true;
	$circleMemberDat->save();
	
	//返回数据
	$result["message"] = "创建成功！";
	$result["circleDat"] = $circleDat;
	responseOK($result);
}



$result["message"] = "系统错误！";
responseNG($result);

ErrorLogger::doOutput("Compass...ajax_circle_new1.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>